CREATE TABLE hts_coverage_details (
    COVERAGE_DETAIL_ID            NUMBER(18, 0),
    COVERAGE_ID                   NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_UNIT_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_SKILL_ID                NUMBER(18, 0)    NOT NULL,
    COVERAGE_DATE                 DATE         ,
    COVERAGE_START_DATE_TIME      DATE         ,
    WORKLOAD_BASELINE_DURATION    NUMBER(9, 0) ,
    WORKLOAD_ACTUAL_DURATION      NUMBER(9, 0) ,
    ASSIGNED_SHIFTS_DURATION      NUMBER(9, 0) ,
    OPEN_SHIFTS_DURATION          NUMBER(9, 0) ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    COVERAGE_DETAIL_ID            NUMBER(18, 0),
    COVERAGE_ID                   NUMBER(18, 0)    NOT NULL,
    ENTERPRISE_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_UNIT_ID                 NUMBER(18, 0)    NOT NULL,
    SCHED_SKILL_ID                NUMBER(18, 0)    NOT NULL,
    COVERAGE_DATE                 DATE         ,
    COVERAGE_START_DATE_TIME      DATE         ,
    WORKLOAD_BASELINE_DURATION    NUMBER(9, 0) ,
    WORKLOAD_ACTUAL_DURATION      NUMBER(9, 0) ,
    ASSIGNED_SHIFTS_DURATION      NUMBER(9, 0) ,
    CREATED_BY                    VARCHAR2(256)    NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)     NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128),
    OPEN_SHIFTS_DURATION          NUMBER(9, 0) ,
    CONSTRAINT pk_hts_coverage_details PRIMARY KEY (COVERAGE_DETAIL_ID, COVERAGE_DETAIL_ID)
);
